# listunspent {disallowed} - Bitcoin

#### Parameters

`minconf` - numeric, optional, default=1

The minimum confirmations to filter

`maxconf` - numeric, optional, default=9999999

The maximum confirmations to filter

`addresses` - json array, optional, default=empty array

The bitcoin addresses to filter

`include_unsafe` - boolean, optional, default=true

Include outputs that are not safe to spend. See description of “safe” attribute below.

`query_options` - json object, optional

JSON with query options

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' 
--header 'Content-Type: application/json' 
--data-raw '{"jsonrpc": "2.0",
"method": "listunspent",
"params": [null, null, null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/bitcoin-btc/btc_listunspent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
